org.apache.ode.bpel.compiler.bom

## Class Catch

- java.lang.Object
- - org.apache.ode.bpel.compiler.bom.BpelObject
  - - org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
    - - org.apache.ode.bpel.compiler.bom.Scope
      - - org.apache.ode.bpel.compiler.bom.Catch

- All Implemented Interfaces:
    SourceLocation

      public class Catch
      extends Scope

  Representation of a BPEL fault handler catch block.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `JoinFailureSuppressor.SuppressJoinFailure`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `__suppressJoinFailure`

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `ATTR_LINENO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Catch(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Activity` | `getActivity()` Get the activity for this catch block.
    `javax.xml.namespace.QName` | `getFaultName()` Get the name of the fault.
    `java.lang.String` | `getFaultVariable()` Get the fault variable.
    `javax.xml.namespace.QName` | `getFaultVariableElementType()` Get the fault variable type.
    `javax.xml.namespace.QName` | `getFaultVariableMessageType()` Get the fault variable type.

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.Scope

      `getAlarms, getAtomicScope, getCompensationHandler, getCorrelationSetDecl, getCorrelationSetDecls, getEvents, getFaultHandler, getPartnerLink, getPartnerLinks, getTerminationHandler, getVariableDecl, getVariables, isVariableAccessSerialized`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `getSuppressJoinFailure`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Catch

          public Catch(org.w3c.dom.Element el)

  - ### Method Detail

    - #### getActivity

          public Activity getActivity()

      Get the activity for this catch block. This is the activity that is activated if this catch block is enabled.
      Returns:
        catch activity fault handling activity

    - #### getFaultName

          public javax.xml.namespace.QName getFaultName()

      Get the name of the fault. May be `null`.
      Returns:
        fault name or `null`

    - #### getFaultVariable

          public java.lang.String getFaultVariable()

      Get the fault variable. May be `null`
      Returns:
        name of the fault variable

    - #### getFaultVariableMessageType

          public javax.xml.namespace.QName getFaultVariableMessageType()

      Get the fault variable type. The fault variable type must be specified in BPEL 2.0 if the fault variable is set.
      Returns:
        fault variable type or `null` if none specified.

    - #### getFaultVariableElementType

          public javax.xml.namespace.QName getFaultVariableElementType()

      Get the fault variable type. The fault variable type must be specified in BPEL 2.0 if the fault variable is set.
      Returns:
        fault variable type or `null` if none specified.